%define name	apache-tomcat
%define version 6.0.26
%define release %mkrel 2
%define Summary Apache Tomcat Servlet/JSP container

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	Apache License, Version 2.0
Group:		System/Servers
URL:		http://tomcat.apache.org
Source:		%name-%version.tar.gz
Source1:	tomcat.init.in
Source2:	tomcat.sysconfig.in
Source3:	tomcat.logrotate.in
BuildRoot:      %_tmppath/%name-%version-buildroot
Requires:	java-1.6.0-sun apache-base


%description
Apache Tomcat Servlet/JSP container. Apache Tomcat version 6.0 implements the Servlet 2.5
and JavaServer Pages 2.1 specifications from the Java Community Process, and includes many
additional features that make it a useful platform for developing and deploying web 
applications and web services.

%prep
%setup -q

#Remove non-posix files:
find . -type f \( -name *.exe -o -name *.bat \)  | xargs -I {} rm -rf {}

%install
%__rm -rf %buildroot

#Separate serverinstallation in /opt/tomcat
install -d %{buildroot}/opt/tomcat 
cp -a . %{buildroot}/opt/tomcat

#Prepare system files for service installation
cp -a %{SOURCE1} %{SOURCE2} %{SOURCE3} .
for file in tomcat.init \
            tomcat.sysconfig \
            tomcat.logrotate; do
    sed -e's|@logdir@|%{_logdir}|g' \
        -e's|@rundir@|%{_var}/run|g' \
        -e's|@sysconfdir@|%{_sysconfdir}|g' \
        -e's|@sysconfigdir@|%{_sysconfdir}/sysconfig|g' \
        -e's|@initdir@|%{_sysconfdir}/init.d|g' \
        -e's|@bindir@|%{_bindir}|g' \
        -e's|@sbindir@|%{_sbindir}|g' \
        -e's|@subsysdir@|%{_var}/lock/subsys|g' \
        -e's|@varlibdir@|%{_localstatedir}|g' \
        -e's|@varcachedir@|%{_var}/cache|g' \
        -e's|@logrotatedir@|%{_sysconfdir}/logrotate.d|g' \
        < $file.in > $file
done

install -D tomcat.init %{buildroot}/%{_sysconfdir}/init.d/tomcat
install -D tomcat.sysconfig %{buildroot}/%{_sysconfdir}/sysconfig/tomcat
install -D tomcat.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/tomcat

%clean
%__rm -rf %buildroot

%pre
%_pre_useradd tomcat /opt/tomcat /bin/sh

%preun
%_preun_service tomcat

%post
/bin/chown -R tomcat:tomcat /opt/tomcat/.
%_post_service tomcat

%postun
%_postun_userdel tomcat


%files
%doc LICENSE NOTICE RELEASE-NOTES RUNNING.txt
%defattr(-,root,root)
/opt
%{_sysconfdir}/init.d/tomcat
%config(noreplace) %{_sysconfdir}/sysconfig/tomcat
%config(noreplace) %{_sysconfdir}/logrotate.d/tomcat


%changelog
* Sat Sep 25 2010 Texstar <texstar at gmail.com> 6.0.26-2pclos2100
- rebuild for 2.2.16

* Sun Apr 04 2010 MBantz <martin.bantz at gmail dot com> 6.0.26-1pclos2010
- Initial build

